xcb_input_xi_change_property(3)

NAME
xcb_input_xi_change_property -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_xi_change_property(xcb_connection_t *conn, xcb_input_device_id_t deviceid, uint8_t mode, uint8_t format, xcb_atom_t property, xcb_atom_t type, uint32_t num_items, const void *items);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceid
    TODO: NOT YET DOCUMENTED.

mode
    TODO: NOT YET DOCUMENTED.

format
    TODO: NOT YET DOCUMENTED.

property
    TODO: NOT YET DOCUMENTED.

type
    TODO: NOT YET DOCUMENTED.

num_items
    TODO: NOT YET DOCUMENTED.

items
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_xi_change_property_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.